---
title: PublicKeyCredentialRequestOptions.rpId
slug: Web/API/PublicKeyCredentialRequestOptions/rpId
tags:
  - API
  - Property
  - PublicKeyCredentialRequestOptions
  - Reference
  - Web Authentication API
  - WebAuthn
---
<p>{{APIRef("Web Authentication API")}}{{securecontext_header}}</p>

<p>The <strong><code>rpId</code></strong> property, of the {{domxref("PublicKeyCredentialRequestOptions")}} dictionary, is an optional property which indicates the relying party's identifier as a {{domxref("USVString")}}. Its value can only be a suffix of the current origin's domain. For example, if you are browsing on <code>foo.example.com</code>, the <code>rpId</code> value may be <code>"example.com"</code> but not <code>"bar.org"</code> or <code>"baz.example.com"</code>.</p>

<p>This property is optional. If it is not explicitely provided, the user agent will use the value of the current origin's domain.</p>

<div class="notecard note">
<p><strong>Note:</strong> An analogous option exists for the creation operation ({{domxref("CredentialsContainer.create","navigators.credentials.create()")}}), see the <code>id</code> property of {{domxref("PublicKeyCredentialCreationOptions.rp")}}.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>rpId </em>= <em>publicKeyCredentialRequestOptions</em>.rpId</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("USVString")}} for the identifier of the relying party. Its value can only be a suffix of the current origin's domain.</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">var options = {
  challenge: new Uint8Array([/* bytes sent from the server */]),
  rpId: "example.com" // will only work if the current domain
                      // is something like foo.example.com
};

navigator.credentials.get({ "publicKey": options })
    .then(function (credentialInfoAssertion) {
    // send assertion response back to the server
    // to proceed with the control of the credential
}).catch(function (err) {
     console.error(err);
});
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('WebAuthn','#dom-publickeycredentialrequestoptions-rpid','rpId')}}</td>
   <td>{{Spec2('WebAuthn')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.PublicKeyCredentialRequestOptions.rpId")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("PublicKeyCredentialCreationOptions.rp")}} which represents the relying party (including its ID) for the creation operation</li>
</ul>
